input[type=range] {
  height: 39px;
  -webkit-appearance: none;
  margin: 10px 0;
  width: 100%;
}
input[type=range]:focus {
  outline: none;
}
input[type=range]::-webkit-slider-runnable-track {
  width: 100%;
  height: 10px;
  cursor: pointer;
  animate: 0.2s;
  box-shadow: 0px 0px 0px #000000;
  background: #D4D4D4;
  border-radius: 5px;
  border: 0px solid #ADADAD;
}
input[type=range]::-webkit-slider-thumb {
  box-shadow: 1px 1px 4px #C2C2C2;
  border: 2px solid #B8B8B8;
  height: 30px;
  width: 30px;
  border-radius: 26px;
  background: #FFFFFF;
  cursor: pointer;
  -webkit-appearance: none;
  margin-top: -11px;
}
input[type=range]:focus::-webkit-slider-runnable-track {
  background: #D4D4D4;
}
input[type=range]::-moz-range-track {
  width: 100%;
  height: 10px;
  cursor: pointer;
  animate: 0.2s;
  box-shadow: 0px 0px 0px #000000;
  background: #D4D4D4;
  border-radius: 5px;
  border: 0px solid #ADADAD;
}
input[type=range]::-moz-range-thumb {
  box-shadow: 1px 1px 4px #C2C2C2;
  border: 2px solid #B8B8B8;
  height: 30px;
  width: 30px;
  border-radius: 26px;
  background: #FFFFFF;
  cursor: pointer;
}
input[type=range]::-ms-track {
  width: 100%;
  height: 10px;
  cursor: pointer;
  animate: 0.2s;
  background: transparent;
  border-color: transparent;
  color: transparent;
}
input[type=range]::-ms-fill-lower {
  background: #D4D4D4;
  border: 0px solid #ADADAD;
  border-radius: 10px;
  box-shadow: 0px 0px 0px #000000;
}
input[type=range]::-ms-fill-upper {
  background: #D4D4D4;
  border: 0px solid #ADADAD;
  border-radius: 10px;
  box-shadow: 0px 0px 0px #000000;
}
input[type=range]::-ms-thumb {
  margin-top: 1px;
  box-shadow: 1px 1px 4px #C2C2C2;
  border: 2px solid #B8B8B8;
  height: 30px;
  width: 30px;
  border-radius: 26px;
  background: #FFFFFF;
  cursor: pointer;
}
input[type=range]:focus::-ms-fill-lower {
  background: #D4D4D4;
}
input[type=range]:focus::-ms-fill-upper {
  background: #D4D4D4;
}